const icons = {
  loading: {
    viewBox: '0 0 512 512',
    path: (
      <path
        strokeWidth="0"
        d="M304 48c0 26.51-21.49 48-48 48s-48-21.49-48-48 21.49-48 48-48 48 21.49 48 48zm-48 368c-26.51 0-48 21.49-48 48s21.49 48 48 48 48-21.49 48-48-21.49-48-48-48zm208-208c-26.51 0-48 21.49-48 48s21.49 48 48 48 48-21.49 48-48-21.49-48-48-48zM96 256c0-26.51-21.49-48-48-48S0 229.49 0 256s21.49 48 48 48 48-21.49 48-48zm12.922 99.078c-26.51 0-48 21.49-48 48s21.49 48 48 48 48-21.49 48-48c0-26.509-21.491-48-48-48zm294.156 0c-26.51 0-48 21.49-48 48s21.49 48 48 48 48-21.49 48-48c0-26.509-21.49-48-48-48zM108.922 60.922c-26.51 0-48 21.49-48 48s21.49 48 48 48 48-21.49 48-48-21.491-48-48-48z"
      ></path>
    )
  },
  close: {
    viewBox: '0 0 12 13',
    path: (
      <path
        d="M12 1.55L10.95 0.5L6 5.45L1.05 0.5L0 1.55L4.95 6.5L0 11.45L1.05 12.5L6 7.55L10.95 12.5L12 11.45L7.05 6.5L12 1.55Z"
        strokeWidth="0"
      />
    )
  },
  search: {
    viewBox: '0 0 16 16',
    path: (
      <path
        d="M11.742 10.344C12.7103 9.02268 13.144 7.38448 12.9563 5.75714C12.7686 4.1298 11.9734 2.63333 10.7298 1.56712C9.48611 0.500915 7.88575 -0.0564028 6.24883 0.0066704C4.61192 0.0697435 3.05918 0.748556 1.90127 1.9073C0.743349 3.06605 0.0656481 4.61927 0.00374626 6.25623C-0.0581556 7.89318 0.500307 9.49315 1.56741 10.736C2.6345 11.9789 4.13154 12.7731 5.75902 12.9596C7.38649 13.1461 9.02438 12.7112 10.345 11.742H10.344C10.374 11.782 10.406 11.82 10.442 11.857L14.292 15.707C14.4795 15.8946 14.7339 16.0001 14.9991 16.0002C15.2644 16.0003 15.5189 15.895 15.7065 15.7075C15.8941 15.52 15.9996 15.2656 15.9997 15.0003C15.9998 14.7351 15.8945 14.4806 15.707 14.293L11.857 10.443C11.8212 10.4068 11.7828 10.3734 11.742 10.343V10.344ZM12 6.49999C12 7.22226 11.8577 7.93746 11.5813 8.60475C11.3049 9.27204 10.8998 9.87836 10.3891 10.3891C9.87836 10.8998 9.27205 11.3049 8.60476 11.5813C7.93747 11.8577 7.22227 12 6.5 12C5.77773 12 5.06253 11.8577 4.39524 11.5813C3.72795 11.3049 3.12163 10.8998 2.61091 10.3891C2.10019 9.87836 1.69506 9.27204 1.41866 8.60475C1.14226 7.93746 0.999998 7.22226 0.999998 6.49999C0.999998 5.0413 1.57946 3.64236 2.61091 2.61091C3.64236 1.57946 5.04131 0.999994 6.5 0.999994C7.95869 0.999994 9.35763 1.57946 10.3891 2.61091C11.4205 3.64236 12 5.0413 12 6.49999Z"
        strokeWidth="0"
      />
    )
  },
  copy: {
    viewBox: '0 0 18 22',
    path: (
      <>
        <path
          d="M5 3V15C5 15.5304 5.21071 16.0391 5.58579 16.4142C5.96086 16.7893 6.46957 17 7 17H15C15.5304 17 16.0391 16.7893 16.4142 16.4142C16.7893 16.0391 17 15.5304 17 15V6.242C17 5.97556 16.9467 5.71181 16.8433 5.46624C16.7399 5.22068 16.5885 4.99824 16.398 4.812L13.083 1.57C12.7094 1.20466 12.2076 1.00007 11.685 1H7C6.46957 1 5.96086 1.21071 5.58579 1.58579C5.21071 1.96086 5 2.46957 5 3V3Z"
          fill="none"
          strokeWidth="2"
          strokeLinecap="round"
          strokeLinejoin="round"
        />
        <path
          d="M13 17V19C13 19.5304 12.7893 20.0391 12.4142 20.4142C12.0391 20.7893 11.5304 21 11 21H3C2.46957 21 1.96086 20.7893 1.58579 20.4142C1.21071 20.0391 1 19.5304 1 19V8C1 7.46957 1.21071 6.96086 1.58579 6.58579C1.96086 6.21071 2.46957 6 3 6H5"
          fill="none"
          strokeWidth="2"
          strokeLinecap="round"
          strokeLinejoin="round"
        />
      </>
    )
  },
  'chevron-down': {
    viewBox: '0 0 14 9',
    path: (
      <path
        d="M1 1.75L7 7.75L13 1.75"
        fill="none"
        strokeWidth="2"
        strokeLinecap="round"
        strokeLinejoin="round"
      />
    )
  }
};

export type IconType = keyof typeof icons;

export default icons;
